    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2008, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * --------------------
    028     * PowerFunction2D.java
    029     * --------------------
    030     * (C) Copyright 2002-2008, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * Changes:
    036     * --------
    037     * 01-Oct-2002 : Version 1 (DG);
    038     *
    039     */
    040
    041    package org.jfree.data.function;
    042
    043    /**
    044     * A function of the form y = a * x ^ b.
    045     */
    046    public class PowerFunction2D implements Function2D {
    047
    048        /** The 'a' coefficient. */
    049        private double a;
    050
    051        /** The 'b' coefficient. */
    052        private double b;
    053
    054        /**
    055         * Creates a new power function.
    056         *
    057         * @param a  the 'a' coefficient.
    058         * @param b  the 'b' coefficient.
    059         */
    060        public PowerFunction2D(double a, double b) {
    061            this.a = a;
    062            this.b = b;
    063        }
    064
    065        /**
    066         * Returns the value of the function for a given input ('x').
    067         *
    068         * @param x  the x-value.
    069         *
    070         * @return The value.
    071         */
    072        public double getValue(double x) {
    073            return this.a * Math.pow(x, this.b);
    074        }
    075
    076    }